# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = "omniauth-goodreads3"
  spec.version       = "1.0.0"
  spec.authors       = ["Sara Stanton"]
  spec.email         = ["sara.mpa13@gmail.com"]

  spec.summary       = "Update of another gem (omniauth-goodreads2) to accomodate new https requirement for Goodreads OAuth"
  spec.description   = "This is an update to the existing omniauth-goodreads2 gem (which I did not originally write and which is open source under the MIT license) to accommodate the recent https requirement by Goodreads for their auth service."
  spec.homepage      = "http://rubygems.org/gems/omniauth-goodreads3"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
