# Omniauth::Goodreads3

This is an update to the existing omniauth-goodreads2 gem (which I did not originally write and which is open source under the MIT license) to accommodate the recent https requirement by Goodreads for their auth service.

See https://rubygems.org/gems/omniauth-goodreads2 for the omniauth-goodreads2 I used for this gem.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'omniauth-goodreads3'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install omniauth-goodreads3

## Usage

Include in your application's gemfile as ```gem 'omniauth-goodreads3'```. Follow instructions found in the Goodreads documentation for implementation of their OAuth service into your application.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Omniauth::Goodreads3 project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the code of conduct included herein.
